From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/recode/
Date: Fri, 15 May 2020 10:15:57 +0000 (UTC) [thread overview]
Message-ID: <1589537745.cc9da233f44c2bcce96b01e364123b8fbc26be8e.juippis@gentoo> (raw)
commit: cc9da233f44c2bcce96b01e364123b8fbc26be8e
Author: David Heidelberg <david <AT> ixit <DOT> cz>
AuthorDate: Sat Apr 11 11:29:38 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri May 15 10:15:45 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc9da233
app-text/recode: bump to 3.7.6
- bump to EAPI 7
- switch to BDEPEND
- tests are working now
Bug: https://bugs.gentoo.org/717054
Signed-off-by: David Heidelberg <david <AT> ixit.cz>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
app-text/recode/Manifest | 1 +
app-text/recode/recode-3.7.6.ebuild | 36 ++++++++++++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/app-text/recode/Manifest b/app-text/recode/Manifest
index f0916dc1093..8ae0154eeca 100644
--- a/app-text/recode/Manifest
+++ b/app-text/recode/Manifest
@@ -1,3 +1,4 @@
DIST recode-3.6.tar.gz 1751886 BLAKE2B 94436343969da0ee6d16ed69a211d4f36b7a9cb59ce931ef71cfc1e0f11e5709e67ee1e0bb24f5320e6c7d6d01920a6c4d9edce87ff2c6aaaa8c80e30f3b536d SHA512 68de277ac8cd5f6023bb077b959ab5778a78edac1299d507bab906824080b6f86e9bfcd89169aa474197c2faa9af2ceb1ed272c8dd4d50caef373afa05daed1b
+DIST recode-3.7.6.tar.gz 2210564 BLAKE2B 8c99b6d2eb93482785fe7e36063514e4c153516cc8059a9b98fc9f1b08704314b7933390a5fd7921525648ef58e9f995242182b8de23b7db33cbf94383e28f29 SHA512 ababefc445fcc47b6bf9ed640b767aed374bb8ce93cdccb641dd1ba5d298360583dd79070a0bb458f1190a8d6f1ddeb3b04eec34a61305b69def0963cec5843f
DIST recode-3.7_pre20140303.tar.gz 1580388 BLAKE2B 8fb280368e6998c8cb4554f856dd779e70fd53958bf6da5839735e14e741f45b110ac106494703d97ac3390f41736b2d94539dfde4554b3ca70911788ce8c005 SHA512 a1821909e7ba68a315bbd5e0dcaf0a574f09ac6ef1ccf8858aeda1a0affc09cb70353b4bda005a14cff37ef41646a6f5246c5b5a0f6e89db2065eac7ace9b030
DIST recode_3.6-20.debian.tar.gz 341117 BLAKE2B 748ee36b68f1d1501edde23e8afcbd58df70a86745e7c366a27a33496e539dcae11b746fb46767e95ae99b68a18684e3e85c1ea961692ac57ad1a01a895734a7 SHA512 bc586534e77b49da7d387187a8ddb042a12871f87f4f32c818ce7218b7254ac5ba6eccb14aaaf0312579f27958883f2da620016a7049c3af24c8bfba81acc3ef
diff --git a/app-text/recode/recode-3.7.6.ebuild b/app-text/recode/recode-3.7.6.ebuild
new file mode 100644
index 00000000000..cdbdbc5bc6d
--- /dev/null
+++ b/app-text/recode/recode-3.7.6.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic libtool toolchain-funcs
+
+DESCRIPTION="Convert files between various character sets"
+HOMEPAGE="https://github.com/rrthomas/recode"
+SRC_URI="https://github.com/rrthomas/recode/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="nls static-libs"
+
+DEPEND="sys-devel/flex"
+BDEPEND="
+ nls? ( sys-devel/gettext )
+"
+
+src_configure() {
+ tc-export CC LD
+ # on solaris -lintl is needed to compile
+ [[ ${CHOST} == *-solaris* ]] && append-libs "-lintl"
+ # --without-included-gettext means we always use system headers
+ # and library
+ econf \
+ $(use_enable nls) \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -exec rm -v {} + || die
+}
next reply other threads:[~2020-05-15 10:16 UTC|newest]
Thread overview: 71+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-15 10:15 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-06 12:04 [gentoo-commits] repo/gentoo:master commit in: app-text/recode/ Sam James
2023-03-24 14:14 Arthur Zamarin
2023-03-24 13:42 Arthur Zamarin
2023-03-22 22:36 Sam James
2023-03-22 6:00 Sam James
2023-03-22 5:44 Sam James
2023-03-04 15:27 Arthur Zamarin
2023-03-04 13:53 Arthur Zamarin
2023-03-04 11:58 Arthur Zamarin
2023-03-04 11:15 Arthur Zamarin
2023-03-04 7:41 Arthur Zamarin
2023-03-04 5:49 Arthur Zamarin
2023-02-08 2:59 Sam James
2023-01-07 8:16 Sam James
2023-01-06 12:11 Sam James
2022-11-22 7:05 Sam James
2022-11-22 7:05 Sam James
2022-10-28 2:33 Sam James
2022-09-22 2:01 Sam James
2022-09-22 2:00 Sam James
2022-06-02 7:31 Jakov Smolić
2022-06-02 4:30 Jakov Smolić
2022-06-02 4:00 Sam James
2022-06-02 4:00 Sam James
2022-06-02 3:37 Sam James
2022-06-02 3:37 Sam James
2022-06-02 3:05 Sam James
2022-06-02 3:05 Sam James
2022-02-17 19:38 Sam James
2022-01-27 19:30 Sam James
2022-01-27 19:30 Sam James
2022-01-24 19:19 Sam James
2022-01-21 23:58 Sam James
2021-08-13 20:41 Michał Górny
2021-08-13 20:41 Michał Górny
2021-08-13 0:40 Sam James
2021-08-11 19:11 Sam James
2021-08-11 0:23 Sam James
2021-08-11 0:12 Sam James
2021-08-11 0:04 Sam James
2021-08-11 0:02 Sam James
2021-06-02 10:58 Sam James
2021-02-16 12:34 Sam James
2021-02-14 2:10 Sam James
2021-02-08 6:07 Sam James
2021-02-07 8:59 Sam James
2021-02-07 8:57 Sam James
2021-02-07 1:06 Sam James
2021-02-07 1:06 Sam James
2021-01-06 13:46 Fabian Groffen
2021-01-04 5:16 Sam James
2021-01-04 5:16 Sam James
2020-07-29 18:40 Sam James
2020-07-29 17:05 Sergei Trofimovich
2020-07-29 16:22 Sam James
2020-07-29 16:22 Sam James
2020-07-27 17:32 Sam James
2020-07-27 13:54 Sam James
2020-07-27 13:54 Sam James
2020-07-27 3:50 Sam James
2020-05-16 14:56 Mike Gilbert
2020-05-16 14:36 Mike Gilbert
2020-05-15 10:15 Joonas Niilola
2019-08-29 11:39 David Seifert
2019-05-22 2:52 Aaron Bauman
2018-05-29 20:26 Patrice Clement
2017-08-19 19:34 Patrice Clement
2017-08-03 20:18 Patrice Clement
2017-01-29 15:24 Fabian Groffen
2016-01-13 17:36 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1589537745.cc9da233f44c2bcce96b01e364123b8fbc26be8e.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox